Bug 161763 - [PATCH] audio/icecast2: add favicon.ico
Summary: [PATCH] audio/icecast2: add favicon.ico
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-18 09:10 UTC by takefu
Modified: 2013-09-13 18:00 UTC (History)
0 users

See Also:


Attachments
icecast2.patch (6.92 KB, patch)
2011-10-18 09:10 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2011-10-18 09:10:06 UTC
  add favicon.ico
  move icecast2.sh to icecast2
  portlint(1) complains

Port maintainer (sunpoet@FreeBSD.org) is cc'd.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-18 09:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 takefu 2012-06-12 04:55:09 UTC
- Update to 2.3.3
    Security - We fixed 3 security issues.
    Bugfixes - This is mostly a bug-fix release to flush out the accumulated, mostly small, fixes.

- del files/patch-src-stats.c

--- icecast2.patch begins here ---
diff -ruN /usr/ports/audio/icecast2/Makefile audio/icecast2/Makefile
--- /usr/ports/audio/icecast2/Makefile	2012-05-01 07:50:06.000000000 +0900
+++ audio/icecast2/Makefile	2012-06-12 11:12:38.000000000 +0900
@@ -6,8 +6,7 @@
 #

 PORTNAME=	icecast2
-PORTVERSION=	2.3.2
-PORTREVISION=	8
+PORTVERSION=	2.3.3
 PORTEPOCH=	1
 CATEGORIES=	audio net ipv6
 MASTER_SITES=	http://downloads.xiph.org/releases/icecast/ \
@@ -17,18 +16,19 @@
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	A streaming mp3/ogg-vorbis audio server

-LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
-		shout.5:${PORTSDIR}/audio/libshout2 \
-		speex.1:${PORTSDIR}/audio/speex \
-		theora.0:${PORTSDIR}/multimedia/libtheora \
-		vorbis.4:${PORTSDIR}/audio/libvorbis \
-		xslt.2:${PORTSDIR}/textproc/libxslt
-
 LICENSE=	GPLv2
+LICENSE_FILE=	${WRKSRC}/COPYING
+
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
+		shout:${PORTSDIR}/audio/libshout2 \
+		speex:${PORTSDIR}/audio/speex \
+		theora:${PORTSDIR}/multimedia/libtheora \
+		vorbis:${PORTSDIR}/audio/libvorbis \
+		xslt:${PORTSDIR}/textproc/libxslt

 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-USE_RC_SUBR=	icecast2.sh
+USE_RC_SUBR=	${PORTNAME}
 SUB_FILES+=	pkg-message
 CONFIGURE_ENV=	OGG_PREFIX=${LOCALBASE}
 CFLAGS+=	-I${LOCALBASE}/include
@@ -38,8 +38,9 @@

 .include <bsd.port.pre.mk>

-.if defined(NOPORTDOCS)
 post-patch:
+	uudecode -p ${FILESDIR}/favicon.uu > ${WRKSRC}/web/favicon.ico
+.if defined(NOPORTDOCS)
 	${REINPLACE_CMD} \
 		-e 's|SUBDIRS = src conf debian doc web admin win32 examples|SUBDIRS = src conf debian web admin win32 examples # doc|' \
 		-e 's| install-exec-am install-data-am| install-exec-am|' ${WRKSRC}/Makefile.in
diff -ruN /usr/ports/audio/icecast2/distinfo audio/icecast2/distinfo
--- /usr/ports/audio/icecast2/distinfo	2011-03-21 14:15:45.000000000 +0900
+++ audio/icecast2/distinfo	2012-06-12 10:49:33.000000000 +0900
@@ -1,2 +1,2 @@
-SHA256 (icecast-2.3.2.tar.gz) = 4742b38fc55b6373895a7c0a35baed49a848fec99f5e8538e3f0157383d0b3f0
-SIZE (icecast-2.3.2.tar.gz) = 1152319
+SHA256 (icecast-2.3.3.tar.gz) = 1b1d06f5f83c9a983cd28cc78aa90e4038f933511b3d20d7fd2cfc116645c36d
+SIZE (icecast-2.3.3.tar.gz) = 1161774
diff -ruN /usr/ports/audio/icecast2/files/favicon.uu audio/icecast2/files/favicon.uu
--- /usr/ports/audio/icecast2/files/favicon.uu	1970-01-01 09:00:00.000000000 +0900
+++ audio/icecast2/files/favicon.uu	2011-09-01 15:16:00.000000000 +0900
@@ -0,0 +1,35 @@
+begin 644 favicon.ico
+M```!``$`$!````````!H!0``%@```"@````0````(`````$`"```````0`$`
+M````````````````````````````='I\`#P^/`!D7EP`O+[$`(2*E`!47F0`
+MW'I<`'1"-`",:F0`O'IT`(Q2/``D(B0`I%Y$`'123`"L;F0`='J$`.R&9`#$
+M;E0`I**D`!P2#`!T;G0`Q(9T`%1.5`!D,B0`I&)4`)Q61`"4EIP`W()L`(QR
+M;`!\6DP`K'9L`+1Z;`!$1DP`A&)<`(2&C``L&A0`;&9D`+QZ;`",2C0`O()T
+M`(121`!$)B0`A%9,`/R.9`!T=G0`Q(J$`*1J7`"4EJ0`%`H$`)2"?`"L8DP`
+MK')L`(R"C`"LLKP`U(9T`%PZ-`"<8EP`C'9T`(1F7`"$>GP`7#XT`.SJ[`!D
+M8F0`I&ID`+Q^=`"T8D0`?%94`(1^A`#TBF0`Q'9<`+RJI``D%A0`;&Y\`+R&
+M?`!<5E0`9#HL`)Q:1`"LFI0`I'9D`+QV;`!L1D0`E%Y<`"0>'`#,?FP`?$Y$
+M`)161`!<+AP`#`8$`'QZ?`!L7EP`O,+$`)22E`!<7F0`S'ID`'1&/`"44CP`
+M/"(<`*QB1`!\4DP`K')D`'Q^A`#TAF0`M&Y<`"02#`!L4DP`9#8L`*1F5`"4
+MFIP`W(9L`(Q:3`"T=FP`M'IT`$Q&3`",8EP`A(J,`#0>%`!L:FP`Q'IL`'Q*
+M/`#$@G0`C%)$`(Q63`#\CFP`?'9T`)2:I``,"@P`M')L`)QF7`!L0CP`K*JL
+M`$PN)`"D=FP`I&YD`&QR?`#$?G0`Q(9\`*1:1```````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M````````````````````````````````````````````````````````````
+M``#___\`+HB(B(B(B$-3#HB(>"A!B'B'AX>'"F-?=%A1)@HF4`J(AX>'ARMW
+M#4PD?E4F)E!!B(<F7RH(0DUJ:FA883B`08B''SQ\'4\::E=I(2T,54&(=B);
+M-@%.)QB#/QL^`H%!B(`X(P19<3L])4ME23$4<HAKB0F";`,57'5=&UI72`Z(
+M5!$',@5$1!=S,#I@#7HTB(<W>UX&?06&;#568FZ%<(B'"FUF%D<0$TX+8GI`
+M?R"(AX<*;2P2A!YB8FZ%;W\@B(>'AR9G1D5Y>2F`)F]_<(B'AR9`0&U%,V-2
+M.7]O;W!XAX=DA8>''!D/"D`O;V\F+HAX08B(B(AXB'@H<$%!2@``__\``/__
+M``#__P``__\``/__``#__P``__\``/__``#__P``__\``/__``#__P``__\`
++`/__``#__P``__\`
+`
+end
diff -ruN /usr/ports/audio/icecast2/files/icecast2.in audio/icecast2/files/icecast2.in
--- /usr/ports/audio/icecast2/files/icecast2.in	1970-01-01 09:00:00.000000000 +0900
+++ audio/icecast2/files/icecast2.in	2012-01-17 09:44:32.000000000 +0900
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# $FreeBSD: ports/audio/icecast2/files/icecast2.sh.in,v 1.9 2012/01/14 08:55:23 dougb Exp $
+#
+
+# PROVIDE: icecast2
+# REQUIRE: DAEMON
+# BEFORE:  LOGIN
+# KEYWORD: shutdown
+
+# Add the following line to /etc/rc.conf to enable `icecast2'.
+#
+#icecast_enable="YES"
+#
+# To specify a non-default configuration file, set icecast_config
+# in /etc/rc.conf:
+#
+#icecast_config="%%PREFIX%%/etc/icecast.xml"
+#
+# Make sure the <changeowner> section in your configuration file is
+# not commented out - icecast refuses to run as root.
+#
+
+. /etc/rc.subr
+
+name="icecast"
+rcvar=icecast_enable
+
+command="%%PREFIX%%/bin/icecast"
+command_args="-b 1>/dev/null"
+extra_commands="reload"
+
+# read configuration and set defaults
+load_rc_config "$name"
+: ${icecast_enable="NO"}
+: ${icecast_config="%%PREFIX%%/etc/${name}.xml"}
+: ${icecast_flags="-c ${icecast_config}"}
+
+required_files="${icecast_config}"
+
+run_rc_command "$1"
diff -ruN /usr/ports/audio/icecast2/files/icecast2.sh.in audio/icecast2/files/icecast2.sh.in
--- /usr/ports/audio/icecast2/files/icecast2.sh.in	2012-01-17 09:44:32.000000000 +0900
+++ audio/icecast2/files/icecast2.sh.in	1970-01-01 09:00:00.000000000 +0900
@@ -1,41 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD: ports/audio/icecast2/files/icecast2.sh.in,v 1.9 2012/01/14 08:55:23 dougb Exp $
-#
-
-# PROVIDE: icecast2
-# REQUIRE: DAEMON
-# BEFORE:  LOGIN
-# KEYWORD: shutdown
-
-# Add the following line to /etc/rc.conf to enable `icecast2'.
-#
-#icecast_enable="YES"
-#
-# To specify a non-default configuration file, set icecast_config
-# in /etc/rc.conf:
-#
-#icecast_config="%%PREFIX%%/etc/icecast.xml"
-#
-# Make sure the <changeowner> section in your configuration file is
-# not commented out - icecast refuses to run as root.
-#
-
-. /etc/rc.subr
-
-name="icecast"
-rcvar=icecast_enable
-
-command="%%PREFIX%%/bin/icecast"
-command_args="-b 1>/dev/null"
-extra_commands="reload"
-
-# read configuration and set defaults
-load_rc_config "$name"
-: ${icecast_enable="NO"}
-: ${icecast_config="%%PREFIX%%/etc/${name}.xml"}
-: ${icecast_flags="-c ${icecast_config}"}
-
-required_files="${icecast_config}"
-
-run_rc_command "$1"
diff -ruN /usr/ports/audio/icecast2/files/patch-src-stats.c audio/icecast2/files/patch-src-stats.c
--- /usr/ports/audio/icecast2/files/patch-src-stats.c	2012-04-27 20:09:33.000000000 +0900
+++ audio/icecast2/files/patch-src-stats.c	1970-01-01 09:00:00.000000000 +0900
@@ -1,14 +0,0 @@
---- src/stats.c.orig	2008-05-01 10:22:40.000000000 +0800
-+++ src/stats.c	2012-04-24 02:22:44.574821557 +0800
-@@ -973,7 +973,11 @@
-                 if (event->source)
-                 {
-                     if (show_mount && strcmp (event->source, show_mount) != 0)
-+                    {
-+                        xmlFree (name);
-+                        xmlFree (value);
-                         break;
-+                    }
-                     srcnode = _find_xml_node(event->source, &src_nodes, node);
-                 }
-                 else
diff -ruN /usr/ports/audio/icecast2/files/patch-web_Makefile.in audio/icecast2/files/patch-web_Makefile.in
--- /usr/ports/audio/icecast2/files/patch-web_Makefile.in	1970-01-01 09:00:00.000000000 +0900
+++ audio/icecast2/files/patch-web_Makefile.in	2011-10-18 15:36:00.000000000 +0900
@@ -0,0 +1,10 @@
+--- web/Makefile.in.orig	2008-05-30 08:58:59.000000000 +0900
++++ web/Makefile.in	2011-10-18 15:35:42.000000000 +0900
+@@ -215,6 +215,7 @@
+                 corner_bottomright.jpg \
+                 corner_topleft.jpg \
+                 corner_topright.jpg \
++                favicon.ico \
+                 icecast.png \
+                 key.gif \
+                 style.css \
diff -ruN /usr/ports/audio/icecast2/pkg-plist audio/icecast2/pkg-plist
--- /usr/ports/audio/icecast2/pkg-plist	2010-07-21 16:52:39.000000000 +0900
+++ audio/icecast2/pkg-plist	2012-06-12 11:01:19.000000000 +0900
@@ -31,6 +31,8 @@
 share/icecast/admin/response.xsl
 share/icecast/admin/stats.xsl
 share/icecast/admin/updatemetadata.xsl
+share/icecast/admin/vclt.xsl
+share/icecast/admin/xspf.xsl
 share/icecast/doc/icecast.xml.dist
 share/icecast/doc/icecast_minimal.xml.dist
 share/icecast/doc/icecast_shoutcast_compat.xml.dist
@@ -40,6 +42,7 @@
 share/icecast/web/corner_bottomright.jpg
 share/icecast/web/corner_topleft.jpg
 share/icecast/web/corner_topright.jpg
+share/icecast/web/favicon.ico
 share/icecast/web/icecast.png
 share/icecast/web/key.gif
 share/icecast/web/key.png
--- icecast2.patch ends here ---
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-09-13 17:56:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-09-13 17:56:05 UTC
Author: sunpoet
Date: Fri Sep 13 16:55:51 2013
New Revision: 327167
URL: http://svnweb.freebsd.org/changeset/ports/327167

Log:
  - Add favicon.ico
  - Bump PORTREVISION for package change
  
  PR:		ports/161763
  Submitted by:	Takefu <takefu@airport.fm>

Modified:
  head/audio/icecast2/Makefile
  head/audio/icecast2/distinfo
  head/audio/icecast2/pkg-plist

Modified: head/audio/icecast2/Makefile
==============================================================================
--- head/audio/icecast2/Makefile	Fri Sep 13 16:38:03 2013	(r327166)
+++ head/audio/icecast2/Makefile	Fri Sep 13 16:55:51 2013	(r327167)
@@ -3,12 +3,17 @@
 
 PORTNAME=	icecast2
 PORTVERSION=	2.3.3
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	audio net ipv6
-MASTER_SITES=	http://downloads.xiph.org/releases/icecast/ \
-		http://svn.xiph.org/releases/icecast/ \
-		LOCAL/sunpoet
-DISTNAME=	icecast-${PORTVERSION}
+MASTER_SITES=	http://downloads.xiph.org/releases/icecast/:source \
+		http://svn.xiph.org/releases/icecast/:source \
+		LOCAL/sunpoet:source \
+		http://www.icecast.org/:icon
+DISTFILES=	icecast-${PORTVERSION}${EXTRACT_SUFX}:source \
+		favicon.ico:icon
+DIST_SUBDIR=	icecast
+EXTRACT_ONLY=	icecast-${PORTVERSION}${EXTRACT_SUFX}
 
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Streaming mp3/ogg-vorbis audio server
@@ -44,6 +49,7 @@ post-patch:
 .endif
 
 post-install:
+	${INSTALL_DATA} ${DISTDIR}/${DIST_SUBDIR}/favicon.ico ${DATADIR}/web/
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/audio/icecast2/distinfo
==============================================================================
--- head/audio/icecast2/distinfo	Fri Sep 13 16:38:03 2013	(r327166)
+++ head/audio/icecast2/distinfo	Fri Sep 13 16:55:51 2013	(r327167)
@@ -1,2 +1,4 @@
-SHA256 (icecast-2.3.3.tar.gz) = 1b1d06f5f83c9a983cd28cc78aa90e4038f933511b3d20d7fd2cfc116645c36d
-SIZE (icecast-2.3.3.tar.gz) = 1161774
+SHA256 (icecast/icecast-2.3.3.tar.gz) = 1b1d06f5f83c9a983cd28cc78aa90e4038f933511b3d20d7fd2cfc116645c36d
+SIZE (icecast/icecast-2.3.3.tar.gz) = 1161774
+SHA256 (icecast/favicon.ico) = 6e22f7e26d2f97e9c1b7840458bcd29a81a6ad3433248506f56cdc305ec7487e
+SIZE (icecast/favicon.ico) = 1406

Modified: head/audio/icecast2/pkg-plist
==============================================================================
--- head/audio/icecast2/pkg-plist	Fri Sep 13 16:38:03 2013	(r327166)
+++ head/audio/icecast2/pkg-plist	Fri Sep 13 16:55:51 2013	(r327167)
@@ -18,6 +18,7 @@ etc/icecast.xml.sample
 %%DATADIR%%/web/corner_bottomright.jpg
 %%DATADIR%%/web/corner_topleft.jpg
 %%DATADIR%%/web/corner_topright.jpg
+%%DATADIR%%/web/favicon.ico
 %%DATADIR%%/web/icecast.png
 %%DATADIR%%/web/key.gif
 %%DATADIR%%/web/key.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"